Last Comment Bug 724976 - IonMonkey: Assertion failure: thisArg->useCount() == 0, at ion/IonBuilder.cpp:2202
: IonMonkey: Assertion failure: thisArg->useCount() == 0, at ion/IonBuilder.cpp...
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Other Branch
: x86_64 Linux
: -- major (vote)
: ---
Assigned To: Nicolas B. Pierron [:nbp]
:
Mentors:
Depends on:
Blocks: langfuzz IonFuzz
  Show dependency treegraph
 
Reported: 2012-02-07 10:02 PST by Christian Holler (:decoder)
Modified: 2013-01-14 07:38 PST (History)
7 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Accept Arguments to be saved by resume points. (10.25 KB, patch)
2012-02-15 17:41 PST, Nicolas B. Pierron [:nbp]
cdleary: review+
Details | Diff | Splinter Review

Description Christian Holler (:decoder) 2012-02-07 10:02:45 PST
The following testcase asserts on ionmonkey revision c34398f961e7 (run with --ion -n), tested on 64 bit:


function g() {}
for(var i = 0; "0 == 0"; i++) {
    g(0 || 1);
}
Comment 1 Nicolas B. Pierron [:nbp] 2012-02-07 10:16:58 PST
The fix should reuse the logic of IonBuilder::discardCallArgs (MCallOptimize).
I recently worked on it, so I take.
Comment 2 Nicolas B. Pierron [:nbp] 2012-02-15 17:41:11 PST
Created attachment 597625 [details] [diff] [review]
Accept Arguments to be saved by resume points.

Share discardCallArgs function between Inlining and Native function substitution.
Comment 3 Nicolas B. Pierron [:nbp] 2012-02-16 16:43:15 PST
https://hg.mozilla.org/projects/ionmonkey/rev/8f0f05d821e5
Comment 4 Christian Holler (:decoder) 2013-01-14 07:38:13 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/ion/bug724976.js.

Note You need to log in before you can comment on or make changes to this bug.